Subject: PINE BUG (fwd)

From: Mike Cote <[email-masked]>
Date: Tue, 31 May 1994 16:00:46 -0400 (EDT)

Hi,  I've had a user run into a conflict with the way Pine handles MIME 
vs other mailers.   I've included his message for the details (headers 
and all).

	Thanks.

-----------
Mike Cote					<[email-masked]>
Information Technology Services (ITS)
University of Western Ontario		    Phone: (519) 661-2151,  X 6048
London, Ontario Canada

---------- Forwarded message ----------
Date: Tue, 31 May 1994 15:13:09 -0400 (EDT)
From: Mike Baycroft <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Subject: PINE BUG

I have been installing a new version of elm and I have
run into an odd problem with pine.

If I am in pine and I receive a message that has a file attachment,
if I reply to that message and ask for the current message to
be included in my reply, pine also includes the attachment.

(This sounds like a bug by itself)

OK. Now I am in pine's compose function, and I go to the Attachment
line and remove the attachment. I add my comments to the message
and send it.

Pine does not see fit to remove all of the MIME headers in the
message. Although pine seems to be able to ignore all of this baggage
in the header and message body, other mail programs like elm treat the
message as a MIME message . . . which is a pain given that the message
isn't really a MIME message.

Is there anyway of fixing this? Or at least reporting the bug?

The message that results from the above procedure looks something like:

--------------------included stuff------------------------------- 

>From baycroft Tue May 31 14:57:27 1994
Date: Tue, 31 May 1994 14:53:47 -0400 (EDT)
From: Mike Baycroft <[email-masked]>
Subject: Re: Another Test
To: Mike Baycroft <[email-masked]>
BOUNDARY="1915767421-1655458770-770410359:#27094"X-Status: 
Status: RO
 
  This message is in MIME format.  The first part should be readable
text,
  while the remaining parts are likely unreadable without MIME-aware
tools.
 
--1915767421-1655458770-770410359:#27094
Content-Type: TEXT/PLAIN; CHARSET=US-ASCII
 
On Tue, 31 May 1994, Mike Baycroft wrote:
 
> 
> Yet another test message
> 
> Mike
> 
> Mike Baycroft The University of Western Ontario Libraries
>               London, Ontario, CANADA, N6A-3K7.
>               EMAIL:  [email-masked]    [email-masked]
> 
 
Mike Baycroft   The University of Western Ontario Libraries
                London, Ontario, CANADA, N6A-3K7.
                EMAIL:  [email-masked]    [email-masked]
 
--1915767421-1655458770-770410359:#27094--

----------------------end of included stuff----------------------